Skip to main content
`Ctrl`+`K`

# PetscOptionsGetEnumArray

Gets an array of enum values for a particular option in the database.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsGetEnumArray(PetscOptions options, const char pre[], const char name[], const char *const list[], PetscEnum ivalue[], PetscInt *nmax, PetscBool *set)

Not Collective

## Input Parameters

- options - options database, use `NULL` for default global database

- pre - option prefix or `NULL`

- name - option name

- list - array containing the list of choices, followed by the enum name, followed by the enum prefix, followed by a null

## Output Parameters

- ivalue - the enum values to return

- nmax - On input maximum number of values to retrieve, on output the actual number of values retrieved

- set - `PETSC_TRUE` if found, else `PETSC_FALSE`

## Notes

The array must be passed as a comma separated list with no spaces between the items.

`list` is usually something like `PCASMTypes` or some other predefined list of enum names.

## See Also

`PetscOptionsGetReal()`, `PetscOptionsHasName()`, `PetscOptionsGetString()`, `PetscOptionsGetInt()`, `PetscOptionsGetEnum()`, `PetscOptionsGetIntArray()`, `PetscOptionsGetRealArray()`, `PetscOptionsBool()`, `PetscOptionsInt()`, `PetscOptionsString()`, `PetscOptionsReal()`, `PetscOptionsName()`, `PetscOptionsBegin()`, `PetscOptionsEnd()`, `PetscOptionsHeadBegin()`, `PetscOptionsStringArray()`, `PetscOptionsRealArray()`, `PetscOptionsScalar()`, `PetscOptionsBoolGroupBegin()`, `PetscOptionsBoolGroup()`, `PetscOptionsBoolGroupEnd()`, `PetscOptionsFList()`, `PetscOptionsEList()`, `PetscOptionsGetEList()`, `PetscOptionsEnum()`

## Level

beginner

## Location

src/sys/objects/options.c

## Examples

src/ts/tutorials/ex18.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages